{% load static %}

<!DOCTYPE html>
<html lang="fr" data-bs-theme="light" class="h-100">
<head>
    <meta charset="UTF-8">
    <meta content='maximum-scale=1.0, initial-scale=1.0, width=device-width' name='viewport'>

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <link href="{% static 'css/base.css' %}" rel="stylesheet">

    {% block additional_stylesheets %}
    {% endblock %}

    <style>
        .select2-container--default .select2-results__option {
            color: black;
        }
    </style>

    <link rel="shortcut icon" type="image/png" href="{% static 'img/logo/favicon.png' %}" >

    <script src="https://kit.fontawesome.com/2a2d073e9d.js" crossorigin="anonymous"></script>

    <title>Gaia, la plateforme de l'Ins'AMAP</title>
</head>
<body class="h-100 d-flex flex-column">
<header>
    {% block header %}
    {% endblock %}
</header>

<main>
    {% block content %}
    {% endblock %}
</main>

<script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.3/dist/umd/popper.min.js"
        integrity="sha384-W8fXfP3gkOKtndU4JGtKDvXbO53Wy8SZCQHczT5FMiiqmQfUpWbYdTil/SxwZgAN"
        crossorigin="anonymous"></script>

<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz" crossorigin="anonymous"></script>

<script src="https://code.jquery.com/jquery-3.6.0.min.js"
        integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4="
        crossorigin="anonymous"></script>

<script src="{% static 'js/dark_mode.js' %}"></script>

<script>
    /* https://docs.djangoproject.com/fr/3.2/ref/csrf/ */
    function getCookie(name) {
        let cookieValue = null;
        if (document.cookie && document.cookie !== '') {
            const cookies = document.cookie.split(';');
            for (let i = 0; i < cookies.length; i++) {
                const cookie = cookies[i].trim();
                // Does this cookie string begin with the name we want?
                if (cookie.substring(0, name.length + 1) === (name + '=')) {
                    cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                    break;
                }
            }
        }
        return cookieValue;
    }
</script>

{% block scripts %}
{% endblock %}

<footer class="footer w-100 mt-auto">
    {% block outer_footer %}
    {% endblock %}

    <div class="w-100 pt-5 pb-4" style="background-color: #009612; color: white;">
        <div class="container">
            {% block inner_footer %}

            {% endblock %}

            <!-- div class="d-flex justify-content-between py-4 my-4 border-top border-dark"-->
            <div class="d-flex justify-content-between pb-4 mb-4">
                <p>
                    GAIA - Gestion de l'Amap InsAlienne <br>
                    © Ins'Amap, ALTE²S. Ce site est distribué sous licence GPLv3.<br>
                    <a href="{% url 'mentions_legales' %}" target="_blank" class="link-light">Mentions légales</a>
                </p>
                <ul class="list-unstyled d-flex fs-2">
                    <li class="ms-3">
                        <a class="link-light" href="https://www.instagram.com/insamap/" target="_blank">
                            <i class="fab fa-instagram"></i>
                        </a>
                    </li>
                    <li class="ms-3">
                        <a class="link-light" href="mailto:insamap@asso-insa-lyon.fr">
                            <i class="far fa-envelope"></i>
                        </a>
                    </li>
                </ul>
            </div>
            <!--div class="col-lg-6 col-md-12"-->
            <div class="d-flex flex-row align-items-center justify-content-around flex-wrap">
                <img src="{% static 'img/logo/logo_amap.png' %}" alt="Logo Insamap"
                     class="mx-4 my-3" style="width: 9em;"/>
                <img src="{% static 'img/logo/logo_alte2s.png' %}" alt="Logo ALTE²S"
                     class="mx-4 my-3" style="width: 6em;"/>
                <img src="{% static 'img/logo/logo_amap_aura.png' %}" alt="Logo AMAP Aura"
                     class="mx-4 my-3" style="width: 7em;"/>
                <img src="{% static 'img/logo/logo_insa_lyon.png' %}" alt="Logo INSA"
                     class="mx-4 my-3" style="width: 15em;"/>
                {% comment %}
                <img src="" alt="Logo INSA" class="col-3">
                [logo O21] [logo Ins'Amap] [logo INSA]
                {% endcomment %}
            </div>
            <!--/div-->
        </div>
    </div>
</footer>
</body>
</html>